Imports Microsoft.VisualBasic
Imports System
Imports System.Linq
Imports System.Text
Imports DevExpress.Xpo
Imports DevExpress.ExpressApp
Imports System.ComponentModel
Imports DevExpress.ExpressApp.DC
Imports DevExpress.Data.Filtering
Imports DevExpress.Persistent.Base
Imports System.Collections.Generic
Imports DevExpress.ExpressApp.Model
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

'<ImageName("BO_Contact")> _
'<DefaultProperty("DisplayMemberNameForLookupEditorsOfThisType")> _
'<DefaultListViewOptions(MasterDetailMode.ListViewOnly, False, NewItemRowPosition.None)> _
'<Persistent("DatabaseTableName")> _
<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class OnlineCassa ' Specify more UI options using a declarative approach (http://documentation.devexpress.com/#Xaf/CustomDocument2701).
    Inherits BaseObject ' Inherit from a different class to provide a custom primary key, concurrency and deletion behavior, etc. (http://documentation.devexpress.com/#Xaf/CustomDocument3146).

    Private _CustomersFrom As CustomersFrom
    Private _APNumber As String 'Blokkon lévő cassa azonosító szám
    Private _Active As Boolean 'Használatban van -e?

    'Rabbit MQ infók
    Private _QueueForSend As String
    Private _QueueForReceive As String
    Private _DirectExchange As String
    Private _DirectBindingKey As String


    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place your initialization code here (http://documentation.devexpress.com/#Xaf/CustomDocument2834).
        Me.Active = True
    End Sub


    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property APNumber As String
        Get
            Return _APNumber
        End Get
        Set(value As String)
            SetPropertyValue("_APNumber", _APNumber, value)
        End Set
    End Property
    Property Active As Boolean
        Get
            Return _Active
        End Get
        Set(value As Boolean)
            SetPropertyValue("Active", _Active, value)
        End Set
    End Property
    Property QueueForSend As String
        Get
            Return _QueueForSend
        End Get
        Set(value As String)
            SetPropertyValue("QueueForSend", _QueueForSend, value)
        End Set
    End Property
    Property QueueForReceive As String
        Get

            Return _QueueForReceive
        End Get
        Set(value As String)
            SetPropertyValue("QueueForReceive", _QueueForReceive, value)
        End Set
    End Property
    Property DirectExchange As String
        Get
            Return _DirectExchange
        End Get
        Set(value As String)
            SetPropertyValue("DirectExchange", _DirectExchange, value)
        End Set
    End Property
    Property DirectBindingKey As String
        Get
            Return _DirectBindingKey
        End Get
        Set(value As String)
            SetPropertyValue("DirectBindingKey", _DirectBindingKey, value)
        End Set
    End Property
    'Private _PersistentProperty As String
    '<XafDisplayName("My display name"), ToolTip("My hint message")> _
    '<ModelDefault("EditMask", "(000)-00"), Index(0), VisibleInListView(False)> _
    '<Persistent("DatabaseColumnName"), RuleRequiredField(DefaultContexts.Save)> _
    'Public Property PersistentProperty() As String
    '    Get
    '        Return _PersistentProperty
    '    End Get
    '    Set(ByVal value As String)
    '        SetPropertyValue("PersistentProperty", _PersistentProperty, value)
    '    End Set
    'End Property

    '<Action(Caption:="My UI Action", ConfirmationMessage:="Are you sure?", ImageName:="Attention", AutoCommit:=True)> _
    'Public Sub ActionMethod()
    '    ' Trigger a custom business logic for the current record in the UI (http://documentation.devexpress.com/#Xaf/CustomDocument2619).
    '    Me.PersistentProperty = "Paid"
    'End Sub
End Class
